#
# Copyright (C) 2008 by Juergen Beisert
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#
#
# We provide this package
#
PACKAGES-$(PTXCONF_GEO_SERV_FIXUPS) += geoserv-fixups

#
# Paths and names
#
GEO_SERV_FIXUPS_VERSION	:= 1.0.0
GEO_SERV_FIXUPS		:= GeoServ-$(GEO_SERV_FIXUPS_VERSION)
GEO_SERV_FIXUPS_SUFFIX	:=
GEO_SERV_FIXUPS_URL	:=
GEO_SERV_FIXUPS_SOURCE	:=
GEO_SERV_FIXUPS_DIR	:= $(BUILDDIR)/$(GEO_SERV_FIXUPS)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

geoserv-fixups_get: $(STATEDIR)/geoserv-fixups.get

$(STATEDIR)/geoserv-fixups.get:
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

geoserv-fixups_extract: $(STATEDIR)/geoserv-fixups.extract

$(STATEDIR)/geoserv-fixups.extract:
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

geoserv-fixups_prepare: $(STATEDIR)/geoserv-fixups.prepare

$(STATEDIR)/geoserv-fixups.prepare: $(geoserv-fixups_prepare_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

geoserv-fixups_compile: $(STATEDIR)/geoserv-fixups.compile

$(STATEDIR)/geoserv-fixups.compile: $(geoserv-fixups_compile_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

geoserv-fixups_install: $(STATEDIR)/geoserv-fixups.install

$(STATEDIR)/geoserv-fixups.install: $(geoserv-fixups_install_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

geoserv-fixups_targetinstall: $(STATEDIR)/geoserv-fixups.targetinstall

$(STATEDIR)/geoserv-fixups.targetinstall: $(geoserv-fixups_targetinstall_deps_default)
	@$(call targetinfo, $@)

	@$(call install_init,geoserv-fixups)
	@$(call install_fixup,geoserv-fixups, PACKAGE, geoserv-fixups)
	@$(call install_fixup,geoserv-fixups, PRIORITY,optional)
	@$(call install_fixup,geoserv-fixups, VERSION,$(GEO_SERV_FIXUPS_VERSION))
	@$(call install_fixup,geoserv-fixups, SECTION,base)
	@$(call install_fixup,geoserv-fixups, AUTHOR,"Juergen Beisert <juergen\@kreuzholzen.de>")
	@$(call install_fixup,geoserv-fixups, DEPENDS,)
	@$(call install_fixup,geoserv-fixups, DESCRIPTION,missing)

ifdef PTXCONF_BOOT_INSTALL_FILO_MENU
	@$(call install_copy, geoserv-fixups, 0, 0, 0755, /boot)
	@$(call install_copy, geoserv-fixups, 0, 0, 0755, /boot/filo)
	@$(call install_copy, geoserv-fixups, 0, 0, 0644, \
		$(PTXDIST_WORKSPACE)/projectroot/menu.lst, \
		/boot/filo/menu.lst, n)
endif

	@$(call install_finish, geoserv-fixups)

	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

geoserv-fixups_clean:
	rm -rf $(STATEDIR)/geoserv-fixups.*
	rm -rf $(IMAGEDIR)/geoserv-fixups_*
	rm -rf $(GEO_SERV_FIXUPS_DIR)

# vim: syntax=make

