#
# Copyright (C) 2008 by Juergen Beisert
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_BACKUP) += backup

#
# Paths and names
#
BACKUP_VERSION	:= 0
BACKUP		:= backup-$(BACKUP_VERSION)
BACKUP_SUFFIX	:=
BACKUP_URL	:=
BACKUP_SOURCE	:=
BACKUP_DIR	:= $(BUILDDIR)/$(BACKUP)

# ----------------------------------------------------------------------------
# Get -> nothing to do here
# ----------------------------------------------------------------------------

backup_get: $(STATEDIR)/backup.get

$(STATEDIR)/backup.get: $(backup_get_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Extract -> nothing to do here
# ----------------------------------------------------------------------------

backup_extract: $(STATEDIR)/backup.extract

$(STATEDIR)/backup.extract:
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Prepare -> nothing to do here
# ----------------------------------------------------------------------------

backup_prepare: $(STATEDIR)/backup.prepare

$(STATEDIR)/backup.prepare: $(backup_prepare_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

backup_compile: $(STATEDIR)/backup.compile

$(STATEDIR)/backup.compile: $(backup_compile_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

backup_install: $(STATEDIR)/backup.install

$(STATEDIR)/backup.install: $(backup_install_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

backup_targetinstall: $(STATEDIR)/backup.targetinstall

$(STATEDIR)/backup.targetinstall: $(backup_targetinstall_deps_default)
	@$(call targetinfo, $@)

	@$(call install_init, backup)
	@$(call install_fixup, backup,PACKAGE,backup)
	@$(call install_fixup, backup,PRIORITY,optional)
	@$(call install_fixup, backup,VERSION,$(BACKUP_VERSION))
	@$(call install_fixup, backup,SECTION,base)
	@$(call install_fixup, backup,AUTHOR,"Juergen Beisert <juergen\@kreuzholzen.de>")
	@$(call install_fixup, backup,DEPENDS,)
	@$(call install_fixup, backup,DESCRIPTION,missing)

	@$(call install_copy, backup, 0, 0, 0755, \
		$(PTXDIST_WORKSPACE)/projectroot/backup/do_backup, \
		$(PTXCONF_BACKUP_PATH)/do_backup, n)
	@$(call install_copy, backup, 0, 0, 0755, \
		$(PTXDIST_WORKSPACE)/projectroot/backup/run_backup, \
		$(PTXCONF_BACKUP_PATH)/run_backup, n)
	@$(call install_copy, backup, 0, 0, 0644, \
		$(PTXDIST_WORKSPACE)/projectroot/backup/05-backup.rules, \
		/etc/udev/rules.d/05-backup.rules, n)
	@$(call install_copy, backup, 0, 0, 0755, $(PTXCONF_MOUNT_PATH))

	@$(call install_finish, backup)

	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

backup_clean:
	rm -rf $(STATEDIR)/backup.*
