#
# Copyright (C) 2008 by Juergen Beisert
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_ETHERBOOT) += etherboot

#
# Paths and names
#
ETHERBOOT_VERSION	:= 5.4.2
ETHERBOOT		:= etherboot-$(ETHERBOOT_VERSION)
ETHERBOOT_SUFFIX	:= tar.gz
ETHERBOOT_URL		:= http://mesh.dl.sourceforge.net/sourceforge/etherboot/$(ETHERBOOT).$(ETHERBOOT_SUFFIX)
ETHERBOOT_SOURCE	:= $(SRCDIR)/$(ETHERBOOT).$(ETHERBOOT_SUFFIX)
ETHERBOOT_DIR		:= $(BUILDDIR)/$(ETHERBOOT)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

etherboot_get: $(STATEDIR)/etherboot.get

$(STATEDIR)/etherboot.get: $(etherboot_get_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

$(ETHERBOOT_SOURCE):
	@$(call targetinfo, $@)
	@$(call get, ETHERBOOT)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

etherboot_extract: $(STATEDIR)/etherboot.extract

$(STATEDIR)/etherboot.extract: $(etherboot_extract_deps_default)
	@$(call targetinfo, $@)
	@$(call clean, $(ETHERBOOT_DIR))
	@$(call extract, ETHERBOOT)
	@$(call patchin, ETHERBOOT)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

etherboot_prepare: $(STATEDIR)/etherboot.prepare

ETHERBOOT_PATH	:= PATH=$(CROSS_PATH)
ETHERBOOT_ENV 	:= $(CROSS_ENV)

$(STATEDIR)/etherboot.prepare: $(etherboot_prepare_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

etherboot_compile: $(STATEDIR)/etherboot.compile

$(STATEDIR)/etherboot.compile: $(etherboot_compile_deps_default)
	@$(call targetinfo, $@)

	cd $(ETHERBOOT_DIR)/src && \
	$(ETHERBOOT_PATH) $(MAKE) ARCH=$(call remove_quotes,$(PTXCONF_ARCH)) \
		CROSS_COMPILE=$(call remove_quotes,$(PTXCONF_COMPILER_PREFIX)) \
		bin/rtl8139.elf
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

etherboot_install: $(STATEDIR)/etherboot.install

$(STATEDIR)/etherboot.install: $(etherboot_install_deps_default)
	@$(call targetinfo, $@)
	cp $(ETHERBOOT_DIR)/src/bin/rtl8139.elf \
		$(IMAGEDIR)/payload.elf
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

etherboot_targetinstall: $(STATEDIR)/etherboot.targetinstall

$(STATEDIR)/etherboot.targetinstall: $(etherboot_targetinstall_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

etherboot_clean:
#	cd $(ETHERBOOT_DIR)/src $(MAKE) clean
	rm -rf $(STATEDIR)/etherboot.*
	rm -rf $(IMAGEDIR)/etherboot.payload
	rm -rf $(ETHERBOOT_DIR)

# vim: syntax=make
